Type to search.

Delete rules in bulk by ID

Base URL
https://{kibana_url}
  • POST /api/alerting/v2/rules/_bulk_delete
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 9.5 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Required privileges

Privileges manage_alerting-v2-rules

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

ids string[] · min items: 1 · max items: 100 required

Explicit list of IDs to operate on.

Responses

Returns the result of the bulk delete operation.

application/json
affected_count integer · min: 0 · max: 9007199254740991 required

Number of resources the operation successfully touched.

errors object[] required

Errors encountered during the operation.

error object required
code string required

Stable error code you can branch on, for example INVALID_SCHEDULE or RULE_ALREADY_EXISTS.

details map string to object

Optional extra information about the error, for example field validation issues or the rule_id when that ID already exists.

message string required

A readable explanation of the error. The wording can change without notice. Do not parse this field.

id string required

The identifier of the resource that failed.